import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { SitepalAngularModule } from 'sitepal-angular';
import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { CharFbComponent } from './char-fb/char-fb.component';
import { Char3DComponent } from './char3-d/char3-d.component';
import { Char2DComponent } from './char2-d/char2-d.component';
import { AbcComponent } from './abc/abc.component';
import { XyzComponent } from './xyz/xyz.component';

@NgModule({
  declarations: [
    AppComponent,
    CharFbComponent,
    Char3DComponent,
    Char2DComponent,
    AbcComponent,
    XyzComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    SitepalAngularModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
