import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-char-fb',
  templateUrl: './char-fb.component.html',
  styleUrls: ['./char-fb.component.css']
})
export class CharFbComponent {
  ngOnInit(): void {
    if (typeof globalThis.saySilent === 'function') {
      globalThis.saySilent(0);
    } else {
      console.warn('The function saySilent does not exist on globalThis.');
    }
  }

  sayAudioFn(sayAudioExample) {

    globalThis.sayAudio('sayAudioExample');
  }
  sayTextFn(text, ip1, ip2, ip3) {
    console.log(text, ip1, ip2, ip3);
    globalThis.sayText(text, ip1, ip2, ip3);
  }

  embed = [3432155, 420, 280, "''", 1, 1, 2695703, 0, 1, 1, "'a9eb93f47805e30805b7359d68c6c54e'", 0];

}
