import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-char3-d',
  templateUrl: './char3-d.component.html',
  styleUrls: ['./char3-d.component.css']
})
export class Char3DComponent {
  ngOnInit(): void {
    if (typeof globalThis.saySilent === 'function') {
      globalThis.saySilent(0);
    } else {
      console.warn('The function saySilent does not exist on globalThis.');
    }
  }

  sayAudioFn(sayAudioExample) {

    globalThis.sayAudio('sayAudioExample');
  }
  sayTextFn(text, ip1, ip2, ip3) {
    console.log(text, ip1, ip2, ip3);
    globalThis.sayText(text, ip1, ip2, ip3);
  }
  embed = [3432155, 600, 800, "''", 1, 1, 2695693, 0, 1, 1, "'c3ecd7055a9d58e95ce593a5cf2a8fba'", 0];
}
