import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { Char2DComponent } from './char2-d/char2-d.component';
import { Char3DComponent } from './char3-d/char3-d.component';
import { XyzComponent } from './xyz/xyz.component';
import { AbcComponent } from './abc/abc.component';
import { CharFbComponent } from './char-fb/char-fb.component';


const routes: Routes = [
  { path: 'char2d', component: Char2DComponent },
  { path: 'char3d', component: Char3DComponent },
  { path: '', component: Char2DComponent },
  { path: 'xyz', component: XyzComponent },
  { path: 'empty', component: AbcComponent },
  { path: 'charfb', component: CharFbComponent }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }