import { Component, OnInit } from '@angular/core';
import { SitepalAngularModule } from 'sitepal-angular';
@Component({
  selector: 'app-char2-d',
  templateUrl: './char2-d.component.html',
  styleUrls: ['./char2-d.component.css']
})

export class Char2DComponent {

  ngOnInit(): void {
    if (typeof globalThis.saySilent === 'function') {
      globalThis.saySilent(0);
    } else {
      console.warn('The function saySilent does not exist on globalThis.');
    }
  }

  sayAudioFn(sayAudioExample) {

    globalThis.sayAudio('sayAudioExample');
  }
  sayTextFn(text, ip1, ip2, ip3) {
    console.log(text, ip1, ip2, ip3);
    globalThis.sayText(text, ip1, ip2, ip3);
  }

  embed = [3432155, 600, 800, "''", 1, 1, 2722664, 0, 1, 1, "'WSGmJ3ScqO8d4Zop1cuILz7q4In5k6q2'", 0];
}
